%define	name	pekwm
%define	version	0.1.3
%define	release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://pekwm.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.1.3-manpath.patch.bz2
License:	GPL
Group:		Graphical desktop/Other
Summary:	A minimalist window manager for the X Window System. 
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pekwm is a window manager based on aewm++, but it no longer
resembles it. It is highly configurable, rather fast, and
aimed towards being usable while remaining pretty enough to
look at. Features include client window grouping into one
window frame, automatic window size, location, grouping
and title rewriting.

%prep
%setup -q
%patch0 -p1

%build
%configure	--enable-shape \
		--enable-xinerama \
		--enable-menus \
		--enable-keygrabber \
		--enable-harbour \
		--disable-debug \
		--disable-pcre
		
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

# startfile
%{__cat} > $RPM_BUILD_ROOT%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 $RPM_BUILD_ROOT%{_bindir}/start%{name}

# session file
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
%{__cat} > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/30%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/start%{name}
DESC=%{name} window manager
SCRIPT:
exec %{_bindir}/start%{name}
EOF

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc README ChangeLog TODO
%doc AUTHORS ChangeLog ChangeLog.aewm++ LICENSE NEWS PACKAGERS README
%doc docs/pekwmdocs.html docs/pekwmdocs.txt README.aewm++ ROADMAP
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/30%{name}
%config(noreplace) %{_sysconfdir}/pekwm
%{_bindir}/start%{name}
%{_bindir}/%{name}

%changelog
* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-3mdk
- rebuild for new g++

* Wed Mar 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.3-2mdk
- fix permissions (reported by Chris Moore <chris.moore@mail.com>)

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.3-1mdk
- initial mdk release
